<? ob_start();
session_start();
//codigo del alumno
$codigo_alumno =  $_SESSION['cod_usuario'];
//include("cabecera/cab_mnu.htm");  

include("../script/conexion.php");  

$link = conectarse();
//include("../script/conexion.php");  

//$link = conectarse();
?> 
<? 

//inicializacion de la variable proyectos escolares
$proyecto_escolares= " ";

//recoleccion de los datos del archivo selconacta.php
//son datos via url GET



$cod_quimestre = $_POST['lstquimestre'];

//obtencion del codigo lectivo

$ssql = "select cod_lectivo from lectivo where estado = 1";

$rs = mysql_query($ssql,$link); 

$row= mysql_fetch_array($rs);

$cod_lectivo = $row[0];


//obtencion de lectivo

$ssql = "select desc_lectivo from lectivo where cod_lectivo = $cod_lectivo";

$rs = mysql_query($ssql,$link); 

$row= mysql_fetch_array($rs);

$lectivo = $row[0];

//obtencion de quimestre

$ssql = "select desc_quimestre from quimestre where cod_quimestre = $cod_quimestre";

$rs = mysql_query($ssql,$link); 

$row= mysql_fetch_array($rs);

$quimestre = $row[0];

//obtencion del codigo del curso

$ssql = "select curso from cabecera_estudiante where id_estudiante = $codigo_alumno and lectivo = $cod_lectivo and curso > 100 and curso < 1400";

$rs = mysql_query($ssql,$link);

$row= mysql_fetch_array($rs);

$cod_curso = $row[0];


//obtencion del curso

$ssql = "select desc_curso from curso where cod_curso = $cod_curso";

$rs = mysql_query($ssql,$link);

$row = mysql_fetch_array($rs);

$curso = $row[0];



//obtencion de la lista de estudiante 
//selecciona los datos del alumno

$ssql = "SELECT apellido_paterno,apellido_materno,nombre_primero,cabecera_estudiante.id_estudiante
FROM cabecera_estudiante,historico_estudiante 
WHERE cabecera_estudiante.id_estudiante = historico_estudiante.id_estudiante and cabecera_estudiante.id_estudiante = $codigo_alumno
and estado = 1 and curso = $cod_curso and lectivo = $cod_lectivo order by apellido_paterno,apellido_materno,nombre_primero";


$resultado = mysql_query($ssql,$link);

echo $ssql;
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Unidad Educativa República de Francia</title>
<style type="text/css">

.texto {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	font-style: normal;
	line-height: normal;
	text-transform: uppercase;
}

.texto1 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 16px;
	font-style: normal;
	line-height: normal;
}

</style>
</head>

<body bottommargin="0" topmargin="0" leftmargin="0" rightmargin="0">
<? ob_end_clean(); 
include("fpdf/fpdf.php");

class PDF extends FPDF

{

//Cabecera de página

function Header()

{

    //Logo

    $this->Image('logo.jpeg',10,0,33);

    //Arial bold 15

    $this->SetFont('Arial','B',7);

    //Movernos a la derecha

    $this->Cell(40);

    //Título

    $this->Cell(100,10,'UNIDAD EDUCATIVA REPÚBLICA DE FRANCIA',0,0,'C');

	$this->Ln(3);

	$this->Cell(40);

	 $this->Cell(100,10,'REPORTE DE CALIFICACIONES QUIMESTRALES',0,0,'C');

	 $this->Ln(3);

    //Salto de línea

	}

	

	function BasicTable($header)

{

    //tamaño de las columnas

	$w=array(60,8,8,8,8,15);

	//Cabecera

	$this->SetFont('Arial','',7);

    

	    $this->Cell($w[0],3,$header[0],1,0);

		$this->Cell($w[1],3,$header[1],1,0,'C');

		$this->Cell($w[2],3,$header[2],1,0,'C');

		//$this->Cell($w[3],3,$header[3],1,0,'C');

		$this->Cell($w[5],3,$header[3],1,0,'C');

		$this->Cell($w[5],3,$header[4],1,0,'C');
		
		$this->Cell($w[5],3,$header[5],1,0,'C');
		
		$this->Cell($w[5],3,$header[6],1,0,'C');

               

    $this->Ln();

}



		}

//fin de la clase para cabecera de pagina		

$pdf = new PDF('P','mm','legal');



//**************************************************************************

//while que contiene todos los estudiantes
while($row1 = mysql_fetch_array($resultado)){
$nombre = $row1[0]." ".$row1[1]." ".$row1[2];
$alumno = $row1[3];

$c = 0;
$suma = 0;
//selecciona la asignatura y las calificaciones


//datos de la cabecera

$pdf->AddPage();

$pdf->SetFont('Arial','B',7);

$pdf->Cell(30);

$pdf->Cell(120,10,$lectivo,0,0,'C');

$pdf->ln(3);

$pdf->Cell(120,10,utf8_decode($curso),0,0,'C');

$pdf->Cell(7);

$pdf->Cell(10,10,$quimestre,0,0,'C');

$pdf->ln(5);

$pdf->Cell(40,10,'NOMBRES Y APELLIDOS :  ',0,0,'C');

$pdf->Cell(40,10,strtoupper($nombre),0,0,'C');

$pdf->ln(10);



$header=array('Area de Aprendizaje','Ap1','Ap2','Prom Ap','Evaluacion','Prom Eva.','Prom.Final');

$pdf->BasicTable($header);



//selecciona la asignaturas del curso



$ssql = "select distinct cod_asignatura,desc_asignatura from cabacta_mensual,detacta_mensual,asignatura where cod_acta = cod_cabecera and asignatura = cod_asignatura and cod_alumno = $alumno and lectivo = $cod_lectivo and quimestre = $cod_quimestre order by desc_asignatura,cod_asignatura";





//obtengo los valores de promedio por asignatura y los guardo en un arreglo

// aqui se debe cambiar promfinal por promedio en caso de años
	//anteriores cuando no habia mejoramiento

$ssql2 = "select cod_asignatura,cabacta_mensual.aporte,mejoramiento,promedio,promfinal from cabacta_mensual,detacta_mensual,asignatura where cod_acta = cod_cabecera and asignatura = cod_asignatura and cod_alumno = $alumno and lectivo = $cod_lectivo and quimestre = $cod_quimestre order by desc_asignatura,cabacta_mensual.aporte";



$rs2 = mysql_query($ssql2,$link);



while($row2 = mysql_fetch_array($rs2))

{

//nota de mejoramiento por parcial
$nota_parcial[$alumno][$row2[0]][$row2[1]]=$row2[2];
	
//nota parcial sin mejoramiento
$nota_parcial1[$alumno][$row2[0]][$row2[1]]=$row2[3];

//promedio de mejoramiento
$nota_parcial2[$alumno][$row2[0]][$row2[1]]=$row2[4];

}

//Ejecuto la sentencia 
$rs5 = mysql_query($ssql,$link);
//echo $ssql;
		 $cont = 0;

		  while($row = mysql_fetch_array($rs5))

		  {
		  
		  $cont = $cont + 1;

		  $asignatura = $row[1];
			  //obtener el codigo de la asignatura
		  $cod_asignatura = $row[0];
		  
//obtencion de las notas del primer aporte
 $mejoramiento = $nota_parcial[$alumno][$row[0]][1];
	  if($mejoramiento>0)
	  {
	   $aporte1 =$nota_parcial2[$alumno][$row[0]][1];    
	  }
	  else
	  {
	  $aporte1 = $nota_parcial1[$alumno][$row[0]][1];
	  }

//obtencion de las notas del segundo aporte
$mejoramiento = $nota_parcial[$alumno][$row[0]][2];
	  if($mejoramiento>0)
	  {
	   $aporte2 =$nota_parcial2[$alumno][$row[0]][2];    
	  }
	  else
	  {
	 $aporte2 = $nota_parcial1[$alumno][$row[0]][2]; 
	  }

/*TEMPORALMENTE NO SE CALCULA TERCER APORTE
//obtencion de las notas del tercer aporte
	  
	  $mejoramiento3 = $nota_parcial[$alumno][$row[0]][3];
			   if($mejoramiento3>0)
				  {
			       	$promedio=$nota_parcial1[$alumno][$row[0]][3];
				    $nota_limite_recuperacion =round(((10 - $promedio)*($promedio/10)),2);
		            $nota_porcentaje =$mejoramiento3/30;
		            $prom_recuperacion=round(($nota_limite_recuperacion * $nota_porcentaje),2);
		            $aporte3=$promedio + $prom_recuperacion;
				  }
				  else
				  {
				      $aporte3 = $nota_parcial1[$alumno][$row[0]][3];
				  }

*/
//obtencion de las notas del examen quimestre
 $mejoramiento = $nota_parcial[$alumno][$row[0]][4];
	  if($mejoramiento>0)
	  {
	   $examen =$nota_parcial2[$alumno][$row[0]][4];    
	  }
	  else
	  {
	   $examen = $nota_parcial1[$alumno][$row[0]][4];
	  }
			
//porcentajes de promedios
if($cod_curso>400)
{
    $p_aporte = 0.70;
    $p_examen=0.30;
}
else
{
    $p_aporte = 0.80;
    $p_examen=0.20;
}
//obtencion del promedio parcial(DOS aportes 80%)

if($aporte1 > 0 || $aporte2 > 0)

$prom_parcial = round(((($aporte1 + $aporte2)/2)*$p_aporte),2);
else
$prom_parcial = 0;


//obtencion del promedio examen(20%)

if($examen > 0)

$prom_examen = round(($examen*$p_examen),2);
else
$prom_examen = 0;

//obtencion del promedio quimestral

$prom_quimestral =$prom_parcial + $prom_examen;


//sacar la asignatura proyectos escolares
			  if($cod_asignatura ==14589)
				  {
					  $proyecto_escolares = $prom_quimestral;
				  }
		else
		{
	//valores utilizados para calcular promedio final
$suma = $suma + $prom_quimestral;
$c = $c + 1;
$asignatura = utf8_decode($asignatura);
		$header=array(strtoupper($asignatura),$aporte1,$aporte2,$prom_parcial,$examen,$prom_examen,$prom_quimestral);
		  $pdf->BasicTable($header);

		 	}
			  //fin del if de asignatura proyecto escolares
	  }
	  //cierre del while de asignatura y calificaciones
	  $pdf->Image('cualitativa.gif',160,30,0,0,'');

	  $pdf->Image('firma.gif',20,120,0,0,'');
	  
	  //calculo del promedio general
	  if($suma >0)
	  {
	  $prom_general = round(($suma/$c),2);
	  }
	  else
	  {
	  $prom_general = 0;
	  }
	  
	  //obtenemos los datos de la tabla conducta
$ssql = "select nota,atrasos,faltaj,faltai ";
$ssql = $ssql."from cabacta_conducta,detacta_conducta ";
$ssql = $ssql."where cod_acta = cod_cabecera and cod_alumno = $alumno and lectivo = $cod_lectivo and quimestre = $cod_quimestre and aporte = 4 ";

$rsconducta = mysql_query($ssql,$link);
while($row = mysql_fetch_array($rsconducta))
		  {
//comprobacion si existen datos o no
			if($row[0] != "")
			{
 		  		$nconducta= $row[0];
							}
			else
			{
				$nconducta= "&nbsp;";
				}
			if($row[1] > 0)
			{	
				 $atrasos = $row[1];
				 }
			else
			{
				$atrasos = "&nbsp;";
				}
				
			if($row[2] > 0)
			{		
		  		$faltaj = $row[2];
								}
			else
			{
				$faltaj= "&nbsp;";
				}	
			if($row[3] > 0)
			{
		  		$faltai = $row[3];
								}
			else
			{
				$faltai = "&nbsp;";
				}
				
				}
				//final del while de conducta
	 
	 //obtenemos los datos de la tabla observacion
$ssql = "select observacion ";
$ssql = $ssql."from cabacta_obsmensual,detacta_obsmensual ";
$ssql = $ssql."where cod_acta = cod_cabecera and cod_alumno = $alumno and lectivo = $cod_lectivo and trimestre = $cod_trimestre and aporte = $cod_aporte ";
$rsobservacion = mysql_query($ssql,$link);
if(@mysql_num_rows($rsobservacion)==0)
{
$observacion = "&nbsp;";
}
else
{
  while($row = mysql_fetch_array($rsobservacion))
		  {
		  $observacion = $row[0];
		  }
		  		}

//obtenemos los datos de la valores formativos
$ssql = "select nota ";
$ssql = $ssql."from cabacta_valores,detacta_valores ";
$ssql = $ssql."where cod_acta = cod_cabecera and cod_alumno = $alumno and lectivo = $cod_lectivo and quimestre = $cod_quimestre and aporte = 4 ";

$rsvalores = mysql_query($ssql,$link);
while($row = mysql_fetch_array($rsvalores))
		  {
//comprobacion si existen datos o no
			if($row[0] != "")
			{
 		  		$nvalores= $row[0];
							}
			else
			{
				$nvalores= "&nbsp;";
				}
			
				}
	//final del while de conducta


//presentacion de informacion

$pdf->ln(5);

$pdf->Cell(25,10,'Conducta General',0,0,'C');

$pdf->Cell(8,10,$nconducta,1,0,'C');

$pdf->Cell(25,10,'Promedio General',0,0,'C');

$pdf->Cell(8,10,$prom_general,1,0,'C');	

	//obtener en letras el promedio de proyectos escolares
	if($proyecto_escolares==0)
	{
		$cualitativa_proyecto="NN";
	}
	else
	{
	if($proyecto_escolares>=9)
		{
			$cualitativa_proyecto = "EX";
			}
			
			elseif($proyecto_escolares>=7)
			{
				$cualitativa_proyecto="MB";
			}
					elseif($proyecto_escolares>=5)
					{
						$cualitativa_proyecto="B";
					}
		else{
			$cualitativa_proyecto="R";
		}
			
	}
	//fin del if principal para saber si tiene o no nota en proyectos escolares
	
	if($cod_curso<1050)
	{
		//$pdf->Cell(25,10,'Proyectos Escolares',0,0,'C');

		//$pdf->Cell(8,10,$cualitativa_proyecto,1,0,'C');
	}
	
	//$pdf->Cell(25,10,'Valores Formativos',0,0,'C');

    //$pdf->Cell(8,10,$nconducta,1,0,'C');
}
//cierre del while principal

$pdf->Output();
ob_end_flush();
?>
</body>
</html>



